Рефакторинг классов ERIonGenerators, ERIonMixGenerator, классы BeamDet

10/11/2017 05:51 PM - Vitaliy Schetinin

Status: Закрыта Start date: 10/11/2017

Priority: Низкий Due date:  

Assignee: Mikhail Kozlov % Done: 100%

Category: BeamDet Estimated time: 0.00 hour

Target version: v-1.0   

Description

Необходимо привести классы в соответствие с code convention: http://er.jinr.ru/dev.html#id4

Особое внимание обратить на doxygen комментарии интерфейсов.

Для локальной генерации doxygen использовать: doxygen Doxyfile

History

#1 - 10/16/2017 10:43 PM - Mikhail Kozlov

В code convention не сказано об описании методов в заголовочном файле (например в ERIonGenerator).

Можно ли их описывать прямо там, если да, то в каком стиле?

#2 - 10/23/2017 11:24 AM - Vitaliy Schetinin

В хедере стоит писать только легковесные функции типа get и set. Прямо в объявлении класса. То есть мы подразумеваем что они

встраиваемые, а не вызыавемые. Дополнительно слово inline писать не надо, всё и так понятно. Вне объявления класса опредления

методов в хедере быть не должно.

Я занесу это в конвенци. Спасибо, что обратил внимание.

#3 - 10/23/2017 12:03 PM - Vitaliy Schetinin

Пока комментарии к этой ветке такие:

1) Круто, что уже получилось сделать ERBeamDet, ERIonGenerator, ERIonMixGenerator.

Я их вкинул в dev, потому что пользователям очень нужна документация.

http://er.jinr.ru/doxygen/class_e_r_beam_det.html

http://er.jinr.ru/doxygen/class_e_r_ion_generator.html

2) Ветка не компилиться) История про TOF и ToF не доделана до конца. Нужно поправить как можно скорее.

#4 - 10/23/2017 04:42 PM - Mikhail Kozlov

Поправил ошибки компиляции.

Нужно ли в doxygen вносить комментарии приватных членов класса?
#5 - 11/02/2017 05:12 PM - Sergey Belogurov

Можно ли сделать линк на документацию FAIRroot?  Это было бы полезно. В идеале от  клетки, соответствующей каждому классу, или

хотя бы поместить общую ссылку в удобном месте, чтобы юзер, читая нашу документацию, мог легко перейти на описание родительских

классов. Миша говорит, какая-то версия документации fairroot была, да отвалилась.  Если так, Виталтик, запросите , пожалуйста, Радека,

куда смотреть. 

#6 - 02/26/2018 07:37 AM - Vitaliy Schetinin

Влито в dev

#7 - 02/26/2018 07:37 AM - Vitaliy Schetinin

- Status changed from Открыта to Закрыта

- Target version changed from v-0.4 to v-1.0

- % Done changed from 0 to 100
